mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
From: Roland Hieber <rhi@pengutronix.de>
To: ptxdist@pengutronix.de
Cc: Roland Hieber <rhi@pengutronix.de>
Subject: [ptxdist] [PATCH 1/2] ptxdist: drop: give better error message without parameters
Date: Sun, 11 Apr 2021 22:25:17 +0200	[thread overview]
Message-ID: <20210411202518.31984-1-rhi@pengutronix.de> (raw)

The current output is not very explanatory:

    $ ptxdist drop

    rm: cannot remove '.../platform-foo/state/': Is a directory
    dropping

Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
 bin/ptxdist | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/bin/ptxdist b/bin/ptxdist
index 248b0473df0f..75e503fe4767 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -966,6 +966,11 @@ clean() {
 drop() {
 	local statefile
 
+	if [ -z "${1}" ]; then
+		echo "Usage: drop <package>.<stage>"
+		exit 1
+	fi
+
 	if [ -z "${2}" ]; then
 		statefile="${1}"
 	else
-- 
2.29.2


_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de

             reply	other threads:[~2021-04-11 20:25 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-11 20:25 Roland Hieber [this message]
2021-04-11 20:25 ` [ptxdist] [PATCH 2/2] ptxdist: package-info: " Roland Hieber
2021-04-23 13:47   ` [ptxdist] [APPLIED] " Michael Olbrich
2021-04-23 13:47 ` [ptxdist] [APPLIED] ptxdist: drop: " Michael Olbrich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210411202518.31984-1-rhi@pengutronix.de \
    --to=rhi@pengutronix.de \
    --cc=ptxdist@pengutronix.de \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox